mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Obsolete

For additional information about FUNCDESC, see the MSDN Library.

Use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CALLCONV

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the calling convention of a function.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the total number of parameters.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the optional parameters.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Counts the permitted return values.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ELEMDESC

  For additional information about FUNCDESC, see the MSDN Library.

  Contains the return type of the function.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.FUNCKIND

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies whether the function is virtual, static, or dispatch-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.INVOKEKIND

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the type of a property function.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about FUNCDESC, see the MSDN Library.

  Indicates the size of .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about FUNCDESC, see the MSDN Library.

  Stores the count of errors a function can return on a 16-bit system.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about FUNCDESC, see the MSDN Library.

  Identifies the function member ID.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Specifies the offset in the VTBL for .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about FUNCDESC, see the MSDN Library.

  Indicates the of a function.